Issues

ZF-2911: Zend_Db_Adapter_Pdo_Oci::quoteTableAs() is not strictly implementing Zend_Db_Adapter_Abstract

Description

From Zend_Db_Adapter_Abstract: {{public function quoteTableAs($ident, $alias = null, $auto=false)}} From Zend_Db_Adapter_Pdo_Oci: {{public function quoteTableAs($ident, $alias, $auto=false)}}

This will result in a strict standards violation:

Strict Standards: Declaration of Zend_Db_Adapter_Pdo_Oci::quoteTableAs() should be compatible with that of Zend_Db_Adapter_Abstract::quoteTableAs() in C:\php\lib\ZendFramework-1.5.0\library\Zend\Db\Adapter\Pdo\Oci.php on line 40

Comments

Please categorize/fix as needed.

Resolved in r9537

Updating for the 1.6.0 release.